Security Lab

Переполнение буфера в Notepad++

Дата публикации:15.05.2007
Дата изменения:24.03.2009
Всего просмотров:2346
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Notepad++ 3.x
Notepad++ 4.x
Уязвимые версии: Notepad++ 4.1.1 и 3.9, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в модуле SciLexer (SciLexer.dll) при обработке исходных файлов ruby (.rb). Удаленный пользователь может с помощью специально сформированного файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: notepad-plus.sourceforge.net/uk/site.htm

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: notepad++ 4.1 ruby file processing Buffer Overflow Exploit (win32)